|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Attributes
gameplay::ScriptUtil::LuaObject Struct Reference

`#include <ScriptController.h>`

List of all members.

## Public Attributes

void * | instance
bool | owns

## Detailed Description

Represents a C++ object from within Lua.

## Member Data Documentation

void* gameplay::ScriptUtil::LuaObject::instance

The actual object instance.

bool gameplay::ScriptUtil::LuaObject::owns

Whether object is owned by Lua.

All Classes Functions Variables Typedefs Enumerations Enumerator